@echo off
if not exist minecraft.jar goto wrong_folder
if not exist xdelta3.exe goto util_missing

echo Making backup of MINECRAFT.JAR..
ren minecraft.jar minecraft.jar.backup
echo Patching MINECRAFT.JAR..
xdelta3.exe -d -s minecraft.jar.backup minecraft-1.5_01-m200.diff minecraft.jar
if errorlevel 1 goto error
echo All done!
goto end

:wrong_folder
echo Please go to your Minecraft bin folder and run this there.
goto end

:util_missing
echo Unable to locate XDELTA3.EXE - please go to this website
echo http://code.google.com/p/xdelta/downloads/list
echo and download the version appropriate for your system.
goto end

:error
echo There was some kind of error: The XDELTA command failed!
goto end

:end
echo:
pause
